---
title: "Get an eSIM subscriber"
canonical: "https://bird.com/docs/api/reference/get-esim-subscriber"
---

# Get an eSIM subscriber

`GET /v1/esim/subscribers/{subscriber_id}`

Returns the contact reference for a subscriber in this workspace. Contact details remain available through Contacts with its separate permissions.

## Code samples

**CLI**

```sh
bird esim subscribers get <subscriber-id>
```

Examples: [CLI](/docs/api/reference/get-esim-subscriber.cli.md) · [MCP](/docs/api/reference/get-esim-subscriber.mcp.md) · [cURL](/docs/api/reference/get-esim-subscriber.curl.md)

## Example response `200`

```json
{
  "id": "esub_01krdgeqcxet5s7t44vh8rt9mg",
  "contact_id": "con_01krdgeqcxet5s7t44vh8rt9mg",
  "created_at": "2026-05-20T09:14:52Z",
  "updated_at": "2026-05-25T16:42:01Z"
}
```

## Path parameters

- `subscriber_id` (string): The subscriber id.

## Response body

- `id` (string, required)
- `contact_id` (string, required)
- `created_at` (string, required)
- `updated_at` (string, required)

## Related resources

- [Should I use a Bird SDK or call the API directly?](/explained/platform/should-i-use-an-sdk-or-call-the-api-directly) (answer)
- [Build your first integration](/learn/paths/integration) (course)
- [Send your first email](/docs/get-started/send-your-first-email) (docs)

[Get an implementation brief](/learn/workspace?topic=api-basics)
